Subject: Re: [PATCH v2 1/4] doc: git-push: clarify intro

From: Junio C Hamano <[email-masked]>
Date: Tue, 16 Sep 2025 14:59:50 -0700

Ben Knoble <[email-masked]> writes:

>> Le 16 sept. 2025 à 14:46, Julia Evans <[email-masked]> a écrit :
>> 
>> I think "..., and sends all necessary commits or other objects that aren't
>> already on the remote." might work if we want to add more detail, since it
>> gives users a hint that maybe they can ignore the  "or other objects"  part if
>> they're not sure what an "object" is.
>
> Nit, without wading into the above discussion: shouldn’t that be « and other objects »?

You could push a tag that points at a blob, so it is possible that
the push transfers only "other objects", but "necessary commits and
other objects" would naturally cover the case where the number of
necessary commits is zero ;-), so I tend to agree that *and* would
read better in that sentence.

But if we really want to do the progressive disclosure, I am OK with
the idea that hiding the details behind a vague words like "transfer
data necessary for updated branches" without saying what these data
are would work OK.

Thanks.